/* Overall styles */
body {
  font-family: Arial, sans-serif;
  font-size: 16px;
}
.calc-container {
    max-width: 1080px;
    margin: 0 auto;
}
#vaCalculator {
  display: flex;
  flex-direction: column;
  gap: 10px;
  margin: auto;
}
#vaCalculator label {
  font-weight: bold;
}
#vaCalculator output {
  font-weight: bold;
  margin-left: 10px;
}
#vaCalculator button {
  padding: 10px;
  background-color: #1e6ad2; 
  border: none;
  color: white;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 1rem;
  margin: 4px 2px;
  cursor: pointer;
}
#vaCalculator h2 {
  text-align: center;
}
/* Hide the actual radio buttons and checkboxes */
input[type="radio"], input[type="checkbox"] {
  display: none;
}
/* Style the labels to look like buttons */
input[type="radio"] + label, input[type="checkbox"] + label {
  display: inline-block;
  background-color: #ddd;
  padding: 10px 20px;
  margin: 0 4px 4px 0;
  border: 1px solid #ccc;
  border-radius: 4px;
  cursor: pointer;
}
/* Change the background color when the radio button or checkbox is checked */
input[type="radio"]:checked + label, input[type="checkbox"]:checked + label {
  background-color: #bbb;
}
/* Add some space between groups of radio buttons and checkboxes */
.radio-group, .checkbox-group {
  margin-bottom: 20px;
}
/* Sticky result */
#sticky-result {
  position: fixed;
  bottom: 0;
  background-color: white;
  padding: 10px;
  border-top: 1px solid #ccc;
  width: 100%;
  box-sizing: border-box;
}
.sticky {
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 100;
}
/* Input groups */
.input-group {
  display: flex;
}
.input-group input[type="range"] {
  flex: 4;
  margin-right: 10px;
}
.input-group input[type="number"] {
  flex: 1;
}


/* Mobile styles */
@media (max-width: 768px) {
  body {
    font-size: 18px; /* Increased font size for better legibility */
  }

  input,
  select,
  button {
    padding: 12px; /* Increase padding to make elements easier to tap */
    width: 100%;
  }

  /* Stack slider and input vertically */
  .input-group {
    flex-direction: column;
  }

  .input-group input[type="range"] {
    margin-right: 0;
    margin-bottom: 10px;
  }

  /* Style the labels to look like buttons, stacked vertically */
  input[type="radio"] + label, 
  input[type="checkbox"] + label {
    display: block; /* Stack labels vertically */
    margin-bottom: 10px; /* Add some vertical space between labels */
  }

  /* Sticky result */
  #sticky-result {
    position: relative;
  }
  #result {
    position: static; /* Avoid sticky position on mobile, it might take too much space */
  }
}